edu.claflin.finder.log

## Enum LogType

- java.lang.Object
- - java.lang.Enum<LogType>
  - - edu.claflin.finder.log.LogType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<LogType>

      public enum LogType
      extends java.lang.Enum<LogType>

  Enumeration of the logging types used by the logging utility.
  Version:
    3.1 May 28, 2015
  Author:
    Charles Allen Schultz II

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALGO`
    `ERRR`
    `GRPH`
    `INFO`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `identifier` Identification string for the type of the log.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()` Used to get a user friendly version of the LogType.
    `static LogType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static LogType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INFO

          public static final LogType INFO

    - #### ERRR

          public static final LogType ERRR

    - #### ALGO

          public static final LogType ALGO

    - #### GRPH

          public static final LogType GRPH

  - ### Field Detail

    - #### identifier

          private final java.lang.String identifier

      Identification string for the type of the log.

  - ### Method Detail

    - #### values

          public static LogType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LogType c : LogType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LogType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Used to get a user friendly version of the LogType.
      Overrides:
        `toString` in class `java.lang.Enum<LogType>`
      Returns:
        the String consisting of the identifier and a trailing space.